%define pre beta19
Summary: XMMS input plugin for C64 SID files
Name: xmms-sid
Version: 0.8.0
Release: %mkrel 2.%pre.2
Source: %{name}-%{version}%pre.tar.bz2
License: GPL
Group: Sound
Buildroot: %{_tmppath}/%{name}-%{version}.build
URL: http://www.tnsp.org/xmms-sid.php
Requires: xmms 
BuildRequires: sidplay-devel
BuildRequires: sidplay2-devel
BuildRequires: libxmms-devel

%description
XMMS-SID is a plugin for XMMS (X MultiMedia System) which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, XMMS-SID uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%prep
%setup -q -n %name-%version%pre

%build
%define _disable_ld_as_needed 1
%configure2_5x
%make LDFLAGS="-Wl,--as-needed -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libxmmssid.la
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO
%{_libdir}/xmms/Input/libxmmssid.so
%_datadir/%name



%changelog
* Sun Aug 14 2011 Götz Waschk <waschk@mandriva.org> 0.8.0-2.beta19.2mdv2012.0
+ Revision: 694492
- rebuild

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.8.0-2.beta19.1mdv2011.0
+ Revision: 269802
- rebuild early 2009.0 package (before pixel changes)

* Thu May 22 2008 Götz Waschk <waschk@mandriva.org> 0.8.0-0.beta19.1mdv2009.0
+ Revision: 210036
- new version
- fix build
- update file list

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.8.0-0.beta17.1mdv2008.1
+ Revision: 130414
- kill re-definition of %%buildroot on Pixel's request


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 0.8.0-0.beta17.1mdv2007.0
+ Revision: 114471
- Import xmms-sid

* Sun Jan 28 2007 Gtz Waschk <waschk@mandriva.org> 0.8.0-0.beta17.1mdv2007.1
- update file list
- new version

* Tue Aug 01 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-0.beta15.2mdv2007.0
- drop menu entry

* Thu Nov 10 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-0.beta15.1mdk
- fix menu
- new version

* Fri Feb 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta14.1mdk
- reenable libtoolize
- new release

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.3mdk
- add menu entry

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.2mdk
- rebuild

* Thu Mar 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta10.1mdk
- new version

* Fri Feb 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-0.beta9.1mdk
- new version

